BeanSerializerFactory.ConfigImpl (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser

## Class BeanSerializerFactory.ConfigImpl

- java.lang.Object
- - org.codehaus.jackson.map.SerializerFactory.Config
  - - org.codehaus.jackson.map.ser.BeanSerializerFactory.ConfigImpl

- Enclosing class:
    BeanSerializerFactory

      public static class BeanSerializerFactory.ConfigImpl
      extends SerializerFactory.Config

  Configuration settings container class for bean serializer factory
  Since:
    1.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Serializers[]` | `_additionalKeySerializers`
    `protected Serializers[]` | `_additionalSerializers` List of providers for additional serializers, checked before considering default basic or bean serialializers.
    `protected BeanSerializerModifier[]` | `_modifiers` List of modifiers that can change the way `BeanSerializer` instances are configured and constructed.
    `protected static BeanSerializerModifier[]` | `NO_MODIFIERS`
    `protected static Serializers[]` | `NO_SERIALIZERS` Constant for empty `Serializers` array (which by definition is stateless and reusable)

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BeanSerializerFactory.ConfigImpl()`
    `protected` | `BeanSerializerFactory.ConfigImpl(Serializers[] allAdditionalSerializers, Serializers[] allAdditionalKeySerializers, BeanSerializerModifier[] modifiers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasKeySerializers()`
    `boolean` | `hasSerializerModifiers()`
    `boolean` | `hasSerializers()`
    `Iterable<Serializers>` | `keySerializers()`
    `Iterable<BeanSerializerModifier>` | `serializerModifiers()`
    `Iterable<Serializers>` | `serializers()`
    `SerializerFactory.Config` | `withAdditionalKeySerializers(Serializers additional)`
    `SerializerFactory.Config` | `withAdditionalSerializers(Serializers additional)` Method for creating a new instance with additional serializer provider.
    `SerializerFactory.Config` | `withSerializerModifier(BeanSerializerModifier modifier)` Method for creating a new instance with additional bean serializer modifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_SERIALIZERS

          protected static final Serializers[] NO_SERIALIZERS

      Constant for empty `Serializers` array (which by definition is stateless and reusable)

    - #### NO_MODIFIERS

          protected static final BeanSerializerModifier[] NO_MODIFIERS

    - #### _additionalSerializers

          protected final Serializers[] _additionalSerializers

      List of providers for additional serializers, checked before considering default basic or bean serialializers.
      Since:
        1.7

    - #### _additionalKeySerializers

          protected final Serializers[] _additionalKeySerializers

      Since:
        1.8

    - #### _modifiers

          protected final BeanSerializerModifier[] _modifiers

      List of modifiers that can change the way `BeanSerializer` instances are configured and constructed.

  - ### Constructor Detail

    - #### BeanSerializerFactory.ConfigImpl

          public BeanSerializerFactory.ConfigImpl()

    - #### BeanSerializerFactory.ConfigImpl

          protected BeanSerializerFactory.ConfigImpl(Serializers[] allAdditionalSerializers,
                                          Serializers[] allAdditionalKeySerializers,
                                          BeanSerializerModifier[] modifiers)

  - ### Method Detail

    - #### withAdditionalSerializers

          public SerializerFactory.Config withAdditionalSerializers(Serializers additional)

      Description copied from class: `SerializerFactory.Config`
      Method for creating a new instance with additional serializer provider.
      Specified by:
        `withAdditionalSerializers` in class `SerializerFactory.Config`

    - #### withAdditionalKeySerializers

          public SerializerFactory.Config withAdditionalKeySerializers(Serializers additional)

      Specified by:
        `withAdditionalKeySerializers` in class `SerializerFactory.Config`

    - #### withSerializerModifier

          public SerializerFactory.Config withSerializerModifier(BeanSerializerModifier modifier)

      Description copied from class: `SerializerFactory.Config`
      Method for creating a new instance with additional bean serializer modifier.
      Specified by:
        `withSerializerModifier` in class `SerializerFactory.Config`

    - #### hasSerializers

          public boolean hasSerializers()

      Specified by:
        `hasSerializers` in class `SerializerFactory.Config`

    - #### hasKeySerializers

          public boolean hasKeySerializers()

      Specified by:
        `hasKeySerializers` in class `SerializerFactory.Config`

    - #### hasSerializerModifiers

          public boolean hasSerializerModifiers()

      Specified by:
        `hasSerializerModifiers` in class `SerializerFactory.Config`

    - #### serializers

          public Iterable<Serializers> serializers()

      Specified by:
        `serializers` in class `SerializerFactory.Config`

    - #### keySerializers

          public Iterable<Serializers> keySerializers()

      Specified by:
        `keySerializers` in class `SerializerFactory.Config`

    - #### serializerModifiers

          public Iterable<BeanSerializerModifier> serializerModifiers()

      Specified by:
        `serializerModifiers` in class `SerializerFactory.Config`